@import "breakpoints";
@import "variables";

.header-row {
  display: flex;
  justify-content: space-between;
  min-width: 280px;
  height: 50px;
  background-color: var(--ion-foreground-color);
  color: var(--fg-main);

  .header-left {
    display: inline-flex;
    text-align: left;
    padding: 0;

    .logo-segment {
      display: inline-block;
      height: 100%;
      cursor: pointer;

      .logo-img {
        display: inline-block;
        vertical-align: top;
        padding: 2px 5px;
      }

      .logo-name {
        display: inline-block;
        vertical-align: top;
        font-size: 32px;
        vertical-align: top;
        padding: 7px;
        font-weight: 500;
        color: var(--fg-main);
      }
    }

    .menu-btn-wrapper {
      display: inline-block;
      vertical-align: top;
      padding: 0 10px;

      ion-menu-button {
        font-size: 40px;
        --padding-top: 5px;
        --padding-bottom: 5px;
        --color: var(--ion-color-medium);

        &:hover {
          --color: var(--ion-color-dark);
        }
      }
    }
  }

  .header-right {
    display: inline-flex;
    text-align: right;
    font-size: 16px;
    padding: 0 5px;

    .theme-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 10px;
      cursor: pointer;
    }

    .language-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 11px;
      cursor: pointer;
    }

    .signup-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 11px;
      cursor: pointer;

      .signup-text {
        display: inherit;
      }

      .signup-icon {
        display: none;
      }
    }

    .login-segment {
      display: inline-block;
      vertical-align: top;
      padding: 17px 10px 11px;
      cursor: pointer;

      .login-text {
        display: inherit;
      }

      .login-icon {
        display: none;
      }
    }

    .user-segment {
      display: inline-flex;
      align-items: center;
      vertical-align: top;
      cursor: pointer;
      max-width: 200px;
      padding: 9px 0 5px 5px;
      border-bottom: 3px solid transparent;

      .user-icon {
        position: relative;
        border-radius: 50%;
        width: 33px;
        height: 33px;
      }

      .user-content {
        padding: 0 7px;
        text-align: left;

        .user-name {
          font-weight: 500;
        }

        .real-name {
          font-size: 14px;
          font-weight: 350;
        }
      }

      .user-dropdown {
        padding: 3px 5px 0;
        font-size: 14px;
        color: var(--fg-subtitle);
      }

      &.hover-target {
        &:hover {
          border-bottom: 3px solid var(--fg-highlight);
        }

        &.activated {
          background-color: var(--ion-hover-background-color);
          border-bottom: 3px solid var(--fg-highlight);
        }
      }
    }

    .dropdown-menu-segment {
      position: relative; 

      .dropdown-menu {
        position: absolute;
        top: 50px;
        left: 0;
        display: none;
  
        &.dropdown-menu-open {
          display: block;
          min-width: 100%;
        }
  
        .dropdown-menu-entry {
          --background: var(--ion-foreground-color);
  
          &:hover {
            --background: var(--ion-hover-background-color);
          }
  
          &:active {
            --background: var(--ion-active-background-color);
          }
        }
  
        .dropdown-menu-separator {
          background: var(--ion-foreground-color);
          padding: 2px 0;
          margin: 0;
          border-bottom: 1px solid var(--ion-background-color);
        }
      }
    }
  }

  .hover-target {
    &:hover {
      border-bottom: 3px solid var(--fg-highlight);
    }

    &:active {
      background-color: var(--ion-hover-background-color);
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
  .header-row {
    .header-right {
      .login-segment {
        padding: 14px 10px 4px;

        .login-text {
          display: none;
        }

        .login-icon {
          display: inherit;
          font-size: 24px;
        }
      }
    }
  }
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
  .header-row {
    .header-left {
      .logo-segment {
        .logo-name {
          display: none;
        }
      }
    }

    .header-right {
      .user-segment {
        .user-content {
          display: none;
        }
      }
    }
  }
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
